Bug 9613 - Отсутствие символов с библиотеке. findsym их тоже не находит...
: Отсутствие символов с библиотеке. findsym их тоже не находит...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/plib)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-05-24 21:38 by
Modified: 2006-07-04 17:39 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-05-24 21:38:51
[darkstar@home ~]$ ldd -r /usr/lib/libplibnet.so
[skipped]
undefined symbol: _Z10ulSetError10ulSeverityPKcz        (/usr/lib/libplibnet.so)
undefined symbol: _Z8ulStrDupPKc        (/usr/lib/libplibnet.so)

Из-за этого не пересобираются пакеты SimGear и FlightGear, в т.ч. и более новые
версии.
------- Comment #1 From 2006-05-25 03:31:52 -------
findsym сасёт.

$ grep _Z10ulSetError10ulSeverityPKcz def
plib    /usr/lib/libplibul.so.0.0.0     T       _Z10ulSetError10ulSeverityPKcz
$ grep _Z8ulStrDupPKc def                
plib    /usr/lib/libplibul.so.0.0.0     T       _Z8ulStrDupPKc
$

Т.е. просто libplibnet.so нужно сленковать с libplibul.so.
Впрочем plib не пересобирается уже давно и последнее время по другой причине.
------- Comment #2 From 2006-05-25 10:51:01 -------
Видимо так. При этом когда собирается SimGear там явно есть -lplibnet -lplibul
-
не помогает :) 
Да, я попробовал пересобрать plib у себя - не идет, ругается на заголовочные
файлы ядра (glibc-kernheaders вроде или что-то в этом роде)... 
------- Comment #3 From 2006-05-25 13:35:29 -------
(In reply to comment #0)
> [darkstar@home ~]$ ldd -r /usr/lib/libplibnet.so
> [skipped]
> undefined symbol: _Z10ulSetError10ulSeverityPKcz        
(/usr/lib/libplibnet.so)
> undefined symbol: _Z8ulStrDupPKc        (/usr/lib/libplibnet.so)
> 
> Из-за этого не пересобираются пакеты SimGear и FlightGear, в т.ч. и более 
новые
> версии.

Проблема мне известна. Патчи уже готовы. Скоро будет.
------- Comment #4 From 2006-05-25 13:36:28 -------
(In reply to comment #1)
> Т.е. просто libplibnet.so нужно сленковать с libplibul.so.

Это сделано.

> Впрочем plib не пересобирается уже давно и последнее время по другой 
причине.

Угу. По причине свежего компилятора. Уже починено.
------- Comment #5 From 2006-05-25 13:38:10 -------
(In reply to comment #2)
> Видимо так. При этом когда собирается SimGear там явно 
есть -lplibnet -lplibul -
> не помогает :) 

Там (в plib) кривые зависимости... :(

> Да, я попробовал пересобрать plib у себя - не идет, ругается на заголовочные
> файлы ядра (glibc-kernheaders вроде или что-то в этом роде)... 

------- Comment #6 From 2006-05-25 16:13:16 -------
Все. Починил. Сегодня ляжет в /i/S/ на сборку.
------- Comment #7 From 2006-05-25 16:15:17 -------
fixed in plib-1.8.4-alt6.src.rpm

пакет уже в /i/S/.